aboutsummaryrefslogtreecommitdiff
path: root/dev-python/zope-traversing
diff options
context:
space:
mode:
authorJulien Roy <julien@jroy.ca>2023-02-06 21:18:09 -0500
committerJulien Roy <julien@jroy.ca>2023-02-06 21:18:09 -0500
commit2b0cc1a74668f023c7747018c55af1ee2f6764b7 (patch)
tree0153efaf3fed85c2ec413c3cd4f2cadc95367330 /dev-python/zope-traversing
parent58da98e6220c358c872b1c1e25f2180ecd6ab46f (diff)
downloadMrRoy-Overlay-2b0cc1a74668f023c7747018c55af1ee2f6764b7.tar.gz
MrRoy-Overlay-2b0cc1a74668f023c7747018c55af1ee2f6764b7.tar.bz2
MrRoy-Overlay-2b0cc1a74668f023c7747018c55af1ee2f6764b7.zip
dev-python/zope-traversing: new package, add 4.4.1
Signed-off-by: Julien Roy <julien@jroy.ca>
Diffstat (limited to 'dev-python/zope-traversing')
-rw-r--r--dev-python/zope-traversing/Manifest1
-rw-r--r--dev-python/zope-traversing/metadata.xml22
-rw-r--r--dev-python/zope-traversing/zope-traversing-4.4.1.ebuild61
3 files changed, 84 insertions, 0 deletions
diff --git a/dev-python/zope-traversing/Manifest b/dev-python/zope-traversing/Manifest
new file mode 100644
index 0000000..548d39b
--- /dev/null
+++ b/dev-python/zope-traversing/Manifest
@@ -0,0 +1 @@
+DIST zope-traversing-4.4.1.gh.tar.gz 39425 BLAKE2B 391bab5824554205cfb18525405074cc2603b4056ea7854f1e775d2c896189cbfdec52ed1aa991be4641d55cca96df30b4b9d0d3c1e7808630d858bd28c3a2a1 SHA512 9e39c33c475ed13c5c1135c785be4ee3f719000c35ba9ad58e91963579ea72285a33ee085a318463bc77d1a31ddeb29ff65f0d3ffdaf9ffb4d0ce3834da7f5d6
diff --git a/dev-python/zope-traversing/metadata.xml b/dev-python/zope-traversing/metadata.xml
new file mode 100644
index 0000000..4773419
--- /dev/null
+++ b/dev-python/zope-traversing/metadata.xml
@@ -0,0 +1,22 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <name>Julien Roy</name>
+ <email>julien@jroy.ca</email>
+ </maintainer>
+ <longdescription>
+ This package provides adapters for resolving object paths by traversing an object hierarchy. This package also includes support for traversal namespaces (e.g. ++view++, ++skin++, etc.) as well as computing URLs via the @@absolute_url view.
+ </longdescription>
+ <upstream>
+ <maintainer>
+ <name>Zope Foundation and Contributors</name>
+ <email>zope-dev@zope.org</email>
+ </maintainer>
+ <bugs-to>https://github.com/zopefoundation/zope.traversing/issues</bugs-to>
+ <changelog>https://github.com/zopefoundation/zope.traversing/blob/master/CHANGES.rst</changelog>
+ <doc>https://zopetraversing.readthedocs.io</doc>
+ <remote-id type="github">zopefoundation/zope.traversing</remote-id>
+ <remote-id type="pypi">zope.traversing</remote-id>
+ </upstream>
+</pkgmetadata>
diff --git a/dev-python/zope-traversing/zope-traversing-4.4.1.ebuild b/dev-python/zope-traversing/zope-traversing-4.4.1.ebuild
new file mode 100644
index 0000000..087e459
--- /dev/null
+++ b/dev-python/zope-traversing/zope-traversing-4.4.1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Adapters for resolving object paths by traversing an object hierarchy"
+HOMEPAGE="https://github.com/zopefoundation/zope.traversing"
+SRC_URI="https://github.com/zopefoundation/zope.traversing/archive/${PV}.tar.gz -> ${P}.gh.tar.gz"
+S="${WORKDIR}/${PN/-/\.}-${PV}"
+
+LICENSE="ZPL"
+SLOT="0"
+KEYWORDS="~amd64"
+# Zope Testrunner
+RESTRICT="test"
+
+RDEPEND="
+ dev-python/transaction[${PYTHON_USEDEP}]
+ dev-python/zope-component[${PYTHON_USEDEP}]
+ dev-python/zope-i18n[${PYTHON_USEDEP}]
+ dev-python/zope-i18nmessageid[${PYTHON_USEDEP}]
+ dev-python/zope-interface[${PYTHON_USEDEP}]
+ dev-python/zope-location[${PYTHON_USEDEP}]
+ dev-python/zope-proxy[${PYTHON_USEDEP}]
+ dev-python/zope-publisher[${PYTHON_USEDEP}]
+ dev-python/zope-security[${PYTHON_USEDEP}]
+ doc? ( dev-python/repoze-sphinx-autointerface[${PYTHON_USEDEP}] )
+ test? (
+ dev-python/zope-annotation[${PYTHON_USEDEP}]
+ dev-python/zope-browserresource[${PYTHON_USEDEP}]
+ dev-python/zope-configuration[${PYTHON_USEDEP}]
+ dev-python/zope-tales[${PYTHON_USEDEP}]
+ dev-python/zope-testing[${PYTHON_USEDEP}]
+ dev-python/zope-testrunner[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="${RDEPEND}"
+
+distutils_enable_sphinx docs
+distutils_enable_tests unittest
+
+src_prepare() {
+ # strip rdep specific to namespaces
+ sed -i -e "/'setuptools'/d" setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_compile() {
+ distutils-r1_python_compile
+ find "${BUILD_DIR}" -name '*.pth' -delete || die
+}
+
+src_test() {
+ cd "${S}/src/zope/untrustedpython" || die
+ distutils-r1_src_test
+}